Welcome! To use this support forum, please Login or Join Today!

You are here → Home :: Forum Home :: General WordPress :: WordPress :: Thread

   

If Breeze Theme activated WP 4.6.1 & PHP 7.0

{name}
Rank

Total Posts: 4

Joined 2016-11-02

PM

 
Hello,

i have purchase breeze but if i install this theme then error on website.

Fatal error: Uncaught Error: Call to undefined function mysql_num_rows() in /www/htdocs/abv/webseite.xy/genealogy/wp-content/themes/breeze/inc/includes/ot-functions-admin.php:677 Stack trace: #0 /www/htdocs/abv/webseite.xy/genealogy/wp-includes/plugin.php(524): ot_default_settings('') #1 //www/htdocs/abv/webseite.xy/genealogy/wp-admin/admin.php(154): do_action('admin_init') #2 //www/htdocs/abv/webseite.xy/genealogy/wp-admin/customize.php(13): require_once('/www/htdocs/w01...') #3 {main} thrown in //www/htdocs/abv/webseite.xy/genealogy/wp-content/themes/breeze/inc/includes/ot-functions-admin.php on line 677

I need a help

Best Regards

Yes i have child too
{name}
RankRankRankRank

Total Posts: 3637

Joined 2011-04-27

PM

 
Hi, Can you tell me what version of WordPress you're using? Also, if you have any idea of what version of PHP/MySQL that would also help me to debug the problem for you. This is the first I've heard of this so any additional technical info will help.
{name}
Rank

Total Posts: 4

Joined 2016-11-02

PM

 
Hello

Software: MySQL
Software-Version: 5.7.15-nmm2-log - (Ubuntu)

PHP
7.0 (CGI)

Wordpress: 4.6.1 DE

install plugins : no

themes: breeze
{name}
RankRankRankRank

Total Posts: 3637

Joined 2011-04-27

PM

 
Hi,

I was not able to reproduce this error (apache and nginx) however I was able to find a few possible culprits to your problem.

Can you update to 2.2.1 and let me know if this solves your problem?

Thanks
{name}
Rank

Total Posts: 4

Joined 2016-11-02

PM

 
Hi,

what do you mean width update 2.2.1?

Here Debugging

Notice: Only variables should be passed by reference in /www/htdocs/abv/xy.de/genealogy/wp-content/themes/breeze/inc/ot-loader.php on line 280

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; ST_List_Pages_Shortcode has a deprecated constructor in /www/htdocs/abv/xy.de/genealogy/wp-content/themes/breeze/shortcodes.php on line 359
{name}
RankRankRankRank

Total Posts: 3637

Joined 2011-04-27

PM

 
what do you mean width update 2.2.1?


I mean update the theme to version 2.2.1 from the updater.

You're running the bleeding edge version of PHP7 in strict mode which is supported and widely compatible - but not with WordPress. The Notice and Deprecated messages you're seeing aren't errors. WordPress itself has several notices such as this.

Make sure WP_DEBUG is set to false in your wp-config.php file. You may also need to set up production values in your php.ini.

I'll update the ST_List_Pages_Shortcode class in the next update.

{name}
Rank

Total Posts: 4

Joined 2016-11-02

PM

 
Hello,

Wordpress Debug if have now false - i think this error message can help

i have now php 5.5 and wordpress running but i installed breeze then error too
i have download breeze and is BreezeVersion: 2.2.0
i could't find 2.2.1 and only other themes "responise" say me can update this

i hope you can help me breeze to running on my system

best regards
{name}
RankRankRankRank

Total Posts: 3637

Joined 2011-04-27

PM

 
If you have the child theme activated, you should see an update available here:
https://cl.ly/3A1U353w353J